Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Wed 01 Oct 2014, 06:50
All times are UTC - 4
 Forum index » House Training » Users ( For the regulars )
Compilation, Graphic drivers.
Moderators: Flash, Ian, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [13 Posts]  
Author Message
Jejy69


Joined: 20 Jan 2011
Posts: 707
Location: Perpignan

PostPosted: Sat 20 Apr 2013, 10:06    Post subject:  Compilation, Graphic drivers.  

Hello,

I am unable to compile the drivers for AMD / ATI graphics cards.
I have the sources, the good DevX relative to the kernel, but when I want to start the run, I get :

Code:
AMD kernel module generator version 2.1
Error:
kernel includes at /usr/src/linux/include do not match current kernel.
they are versioned as ""
instead of "3.8.5.0".
you might need to adjust your symlinks:
- /usr/include
- /usr/src/linux
ERROR: I didn't make module


Someone could give me an information please ? Confused
I find no solution on the internet...

Many Thanks !

_________________
I'm Commander Shepard and this is my favorite Linux distrbution on the Citadel.
Back to top
View user's profile Send private message 
Semme

Joined: 07 Aug 2011
Posts: 3937
Location: World_Hub

PostPosted: Sun 21 Apr 2013, 14:51    Post subject:  

Hi Jejy69- is /usr/src/linux a softlink to your /usr/src/linux-version_directory?

I'd like kernel version and a dwnld link for the driver you wanna compile.
Back to top
View user's profile Send private message 
Jejy69


Joined: 20 Jan 2011
Posts: 707
Location: Perpignan

PostPosted: Sun 21 Apr 2013, 15:45    Post subject:  

Hello Semme !

Thanks you for your reply !

Quote:
is /usr/src/linux a softlink to your /usr/src/linux-version_directory?

I hadn't a "src" directory at the beginning. I create this folder, and put the folder "linux" in it.
I will try with a symlink as you said.

The driver :
http://www2.ati.com/drivers/linux/amd-driver-installer-catalyst-13.1-linux-x86.x86_64.zip

The kernel : 3.8.5.0 from THINslacko made by 01Micko.

I will see with symlink,

Thanks Smile

_________________
I'm Commander Shepard and this is my favorite Linux distrbution on the Citadel.
Back to top
View user's profile Send private message 
pemasu


Joined: 08 Jul 2009
Posts: 5463
Location: Finland

PostPosted: Sun 21 Apr 2013, 15:56    Post subject:  

Have you downloaded and loaded the kernel sources sfs also. It is needed.

You could point to the url links from where you downloaded devx sfs, kernel source sfs and also link to the original slacko version you have used.
They all need to match.
Also...you probably will need couple of patches for propriertary package before it will compile.
Which means you need to provide them to the extracted folder before launching compiling....which means you cant use installer, which means you need to know what you are doing.
Back to top
View user's profile Send private message 
Jejy69


Joined: 20 Jan 2011
Posts: 707
Location: Perpignan

PostPosted: Sun 21 Apr 2013, 16:19    Post subject:  

Hello Pemasu,

Thanks for your answer,

All SFS needeed are proposed by 01Micko (Many thanks to him too) here :
http://puppylinuxstuff.meownplanet.net/01micko/ThinSlacko-5.5.01/
Quote:

Also...you probably will need couple of patches for propriertary package before it will compile.
Which means you need to provide them to the extracted folder before launching compiling....which means you cant use installer, which means you need to know what you are doing.


Well... I didn't know that. I'll take the opportunity to acquire a little knowledge. It will allow me to see what looks like a compilation of drivers. Even if I fail ( sure ), I try. Very Happy

_________________
I'm Commander Shepard and this is my favorite Linux distrbution on the Citadel.
Back to top
View user's profile Send private message 
pemasu


Joined: 08 Jul 2009
Posts: 5463
Location: Finland

PostPosted: Sun 21 Apr 2013, 16:33    Post subject:  

http://puppylinuxstuff.meownplanet.net/01micko/ThinSlacko-5.5.01/kernel_sources-3.8.5-slacko_thin_uni.sfs

I suppose you had this one loaded also ?

I just wonder....havent 01micko compiled proprietary ati driver for thin slacko with 3.8.5 kernel version ?

Compiling proprietary ati which need patches...and uses installer which should do all the job....well....it is little tricky to start with.

Is your intent also package the compiled driver as pet or sfs or just use it yourself.
Back to top
View user's profile Send private message 
Jejy69


Joined: 20 Jan 2011
Posts: 707
Location: Perpignan

PostPosted: Sun 21 Apr 2013, 16:48    Post subject:  

Quote:
I just wonder....havent 01micko compiled proprietary ati driver for thin slacko with 3.8.5 kernel version ?


I did not find a matching package for this kernel, the most recent drivers are for the 3.4 kernel.

Quote:
I suppose you had this one loaded also ?


Yes, it's loaded now, but I at the beginning I didn't load it...

Quote:
Compiling proprietary ati which need patches...and uses installer which should do all the job....well....it is little tricky to start with.


I realize that I do not really have the necessary skills for that, I expected it more affordable. I feel the courage reduced Laughing

Quote:
Is your intent also package the compiled driver as pet or sfs or just use it yourself.


I wanted a pet package like for the previous kernel version.
I hoped also get the nvidia drivers, but hey, I did a little illusions ...

_________________
I'm Commander Shepard and this is my favorite Linux distrbution on the Citadel.
Back to top
View user's profile Send private message 
pemasu


Joined: 08 Jul 2009
Posts: 5463
Location: Finland

PostPosted: Sun 21 Apr 2013, 17:16    Post subject:  

I believe it can be done. I did it for my 3.8.4 kernel. I havent tested my patches for 3.8.5 but probably they work.

I could try the compiling. I just need to download everything first. If it works...I can pet it.

And give instructions how to do it if I succeed.

Did you need the modern or legacy ati proprietary driver. They need different patches.

I think nvidia works just by using shinobars getnividia-0.8.1.pet. Install that pet. Exit to prompt and type getnvidia...expecting that 01micko has included one crucial symlink in his kernel sources sfs. If not...there is need to do that symlink creation first.
Back to top
View user's profile Send private message 
Jejy69


Joined: 20 Jan 2011
Posts: 707
Location: Perpignan

PostPosted: Sun 21 Apr 2013, 17:28    Post subject:  

Wow ! Really super great! Thank you so much!

Quote:
Did you need the modern or legacy ati proprietary driver.

I do not know the difference, but I always installed the legacy version. Is it safer, stable? Legacy if it does not bother you please.

Cool ! Very Happy

_________________
I'm Commander Shepard and this is my favorite Linux distrbution on the Citadel.
Back to top
View user's profile Send private message 
pemasu


Joined: 08 Jul 2009
Posts: 5463
Location: Finland

PostPosted: Sun 21 Apr 2013, 17:38    Post subject:  

Legacy version is for older and modern for newer ati-amd graphics hardware.
It depends on peoples hardware which one works.

I have recently compiled both when I have done it. Like in Upup Precise.
Back to top
View user's profile Send private message 
pemasu


Joined: 08 Jul 2009
Posts: 5463
Location: Finland

PostPosted: Mon 22 Apr 2013, 14:53    Post subject:  

http://www.smokey01.com/pemasu/spup/

catalyst-13.1-modern-k3.8.5-thinslacko.pet works with my ati graphics. Other pets I cant test. Not suitable hardware.

It needed kernel sources missing symlink addition, which means the included kernel sources sfs is somewhat defective, and patches for modern and legacy drivers...and other tricks so that I can create the catalyst drivers in dedicated folder. I might write the howto manual...but not this evening.

getnvidia-0.8.1.pet works....after you include the missing symlink:

ln -s /lib/modules/3.8.5.0/build/include/generated/uapi/linux/version.h /lib/modules/3.8.5.0/build/include/linux/version.h

Catalyst drivers need this symlink also. And you need to apply the patches after the installer has extracted the files into the extraction folder.
catalyst-patch-3.8-modern.tar.gz
Description 
gz

 Download 
Filename  catalyst-patch-3.8-modern.tar.gz 
Filesize  1.47 KB 
Downloaded  125 Time(s) 
catalyst-patch-3.8-legacy.tar.gz
Description 
gz

 Download 
Filename  catalyst-patch-3.8-legacy.tar.gz 
Filesize  2.43 KB 
Downloaded  134 Time(s) 
Back to top
View user's profile Send private message 
anikin

Joined: 10 May 2012
Posts: 493

PostPosted: Mon 22 Apr 2013, 15:30    Post subject:  

Hi Jejy69 et pemasu,

Given the importance of the topic, can we ask Flash to move this thread to where it belongs best:
Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Compiling?
Back to top
View user's profile Send private message 
Jejy69


Joined: 20 Jan 2011
Posts: 707
Location: Perpignan

PostPosted: Thu 25 Apr 2013, 13:44    Post subject:  

Hello !

Many ( but many ) THANKS Pemasu !
It's really nice !

I will try to compile these drivers, just to take a look about this manipulation.

Cheers !

_________________
I'm Commander Shepard and this is my favorite Linux distrbution on the Citadel.
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 1 [13 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » House Training » Users ( For the regulars )
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0829s ][ Queries: 13 (0.0091s) ][ GZIP on ]